<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="decorator" content="base"/>
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/static/css/reset.css" media="all">
    <style>
        .layui-form-select dl{
            max-height:200px;
            width: 80%;
        }
        html {
            background-color: #fff;
        }
        .layui-table td, .layui-table th {
            text-align: center;
        }
        .hx_l{
            position: relative;
        }
        .hx_l>span{position: absolute; right: 10px; top: 5px}
        .layui-textarea {
            min-height: 50px;
        }
        .w-110{
            width: 110px;
        }
    </style>
</head>
<body>
<div class="aaa">
    <div class="layui-form">
        <div class="layui-card-body over pt-20 pb-40 h-350" action="" id="detailSet">
            <input hidden name="id" value="${id}">

            <div class="layui-col-xs12 mb-20 pr-30 mt-10">
                    <div class="mt-10 ml-15">
                        <input type="checkbox" id="allIn" lay-filter="allIn" value="1" lay-skin="primary" title="全部入库">
                    </div>
                    <div class="layui-tab-item layui-show">
                        <table class="layui-table">
                            <thead>
                            <tr>
                                <th>序号</th>
                                <th>物料代码</th>
                                <th>物料类型</th>
                                <th>物料组</th>
                                <th>单位</th>
                                <th>物料描述</th>
                                <th>采购数量</th>
                                <th>已检数量</th>
                                <th>待检数量</th>
                                <th>报检数量</th>
                            </tr>
                            </thead>
                            <tbody id="materialTable">
                            <c:forEach items="${details}" varStatus="vs" var="material">
                                <tr data-id="${material.columns.id}">
                                    <td>${vs.count}</td>
                                    <td>${material.columns.material_code}</td>
                                    <td>${material.columns.material_type}</td>
                                    <td>${material.columns.material_group}</td>
                                    <td>${material.columns.material_unit}</td>
                                    <td>${material.columns.material_remark}</td>
                                    <td>${material.columns.amount}</td>
                                    <td>${material.columns.in_amount}</td>
                                    <td>${material.columns.wait_amount}</td>
                                    <td class="w-110"><input class="layui-input" name="currentInAmount" onkeyup="value=(value.replace(/\D/g,'')==''?'':parseInt(value))"></td>
                                </tr>
                            </c:forEach>
                            </tbody>
                        </table>
                    </div>
            </div>

        </div>
        <div class="layui-form-item operate-footer" style="text-align: center;">
            <input type="button" lay-submit lay-filter="examine" id="examine" class="layui-btn " value="报检">
            <button type="button" class="layui-btn layui-btn-primary " onclick="closeDiv();">取消</button>
        </div>
    </div>
</div>
<div id="lookImg" class="hide pos-r">
    <div style="position:relative;width:90%;height:450px;">
        <div class="w-500 h-450 lookImg">
            <img src="" width="80%" id="image">
        </div>
    </div>
</div>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script type="text/javascript">
    //初始数据
    var $form;
    var form;
    var upload;
    var $;
    var imgs='';
    var myreg=/^[1][3,4,5,6,7,8,9][0-9]{9}$/;
    var type='${type}';
    layui.use(['form', 'table', 'upload', 'jquery'], function () {
        $ = layui.$,
            form = layui.form;
        upload = layui.upload;
        $form = $('form');


        var saveFlag=true;
        form.on('submit(examine)',function(data){
            if(!saveFlag){
                return;
            }
            var order={};
            order.id=data.field.id;
            order.warehouseId='-1';
            var arr = [];
            $('#materialTable>tr').each(function(){
                var material = {};
                material.id = $(this).attr("data-id");
                material.materialCode=$(this).find('td').eq(1).text();
                var currentInAmount=$(this).find('td').eq(9).find('input[name="currentInAmount"]').val();
                material.currentInAmount=currentInAmount;
                if(isBlank(currentInAmount) || currentInAmount==0){
                    return ;
                }
                arr.push(material);
            });
            if(arr.length==0){
                layer.msg("本次没有报检物料!");
                return ;
            }
            order.examineDetailVos=arr;
            saveFlag=false;
            $.ajax({
                url:'${ctx}/purchaseManage/inspectionPurchaseOrder',
                method:'post',
                contentType: 'application/json',
                data:JSON.stringify(order),
                dataType:'JSON',
                success:function(res){
                    if(res.code=="200"){
                        parent.layer.msg("检验成功",{time:1000});
                        closeDiv();
                        parent.reload();
                    } else if(res.code=="501") {
                        layer.msg(res.errMsg,{time:2000},function (){
                            saveFlag = true;
                        });
                    }else if(res.code=="422") {
                        layer.msg(res.msg,{time:1500},function (){
                            saveFlag = true;
                        });
                    }else{
                        layer.msg("保存失败",{time:1000},function(){
                            saveFlag = true;
                        });
                    }
                },
                complete: function(){

                }
            }) ;
        })

        form.on('checkbox(allIn)', function(data){
            var valu = data.value;
            console.log(valu);
            if(valu=='1'){
                $('#materialTable>tr').each(function() {
                    var amount = $(this).find('td').eq(6).text();
                    var inamount = $(this).find('td').eq(7).text();
                    var waitAmount = $(this).find('td').eq(8).text();
                    var currentInAmount = amount - inamount-waitAmount;
                    $(this).find('td').eq(9).find('input[name="currentInAmount"]').val(currentInAmount);
                })
            }
        });

    })

    function  closeDiv() {
        var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
        parent.layer.close(index);
    }

    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }


</script>
</body>
</html>


